=== debian/changelog ===
xen-api-libs (0.1+1316176732-1) lucid; urgency=low

  * New autobuild version

 -- Jon Ludlam <jenkins@snoosnoo2.uk.xensource.com>  Mon, 26 Sep 2011 10:52:37 +0100

xen-api-libs (0.1-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Jon Ludlam <jonathan.ludlam@eu.citrix.com>  Thu, 07 Jul 2011 13:53:51 +0100
