=== netdev/Makefile ===
--- 
+++ 
@@ -1,25 +1,10 @@
 include ../config.mk
 
-CC = gcc
-CFLAGS = -Wall -fPIC -O2 -I$(shell ocamlc -where)
-OCAMLC = ocamlc -g
-OCAMLOPT = ocamlopt
-
-LDFLAGS = -cclib -L./
-
-VERSION := $(shell git show-ref --head | grep -E " HEAD$$" | cut -f 1 -d " " || echo 0)
-OCAMLOPTFLAGS = -g -dtypes
 OCAMLFLAGS = -I ../stdext
-
-OCAMLABI := $(shell ocamlc -version)
-OCAMLLIBDIR := $(shell ocamlc -where)
-OCAMLDESTDIR ?= $(OCAMLLIBDIR)
 
 OBJS = netdev
 INTF = $(foreach obj, $(OBJS),$(obj).cmi)
 LIBS = netdev.cma netdev.cmxa
-
-DOCDIR = ../doc
 
 all: $(INTF) $(LIBS) $(PROGRAMS)
