=== debian/changelog ===
xen-api-libs (0.1+1317756102-1) lucid; urgency=low

  * New autobuild version

 -- Jon Ludlam <jenkins@snoosnoo2.uk.xensource.com>  Tue, 04 Oct 2011 23:55:02 +0100
