## xen-api-libs 0.1+1317849702

=== debian/changelog ===
xen-api-libs (0.1+1317849702-1) lucid; urgency=low

  * New autobuild version

 -- Jon Ludlam <jenkins@snoosnoo2.uk.xensource.com>  Thu, 06 Oct 2011 19:57:31 +0100
